aboutsummaryrefslogtreecommitdiff
path: root/.config/yabai/iterm2_open
diff options
context:
space:
mode:
Diffstat (limited to '.config/yabai/iterm2_open')
-rwxr-xr-x.config/yabai/iterm2_open13
1 files changed, 13 insertions, 0 deletions
diff --git a/.config/yabai/iterm2_open b/.config/yabai/iterm2_open
new file mode 100755
index 0000000..fd9efe4
--- /dev/null
+++ b/.config/yabai/iterm2_open
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+# Detects if iTerm2 is running
+if ! pgrep -f "iTerm" > /dev/null; then
+ open -a "/Applications/iTerm.app"
+else
+ # Create a new window
+ if ! osascript -e 'tell application "iTerm2" to create window with default profile' > /dev/null; then
+ # Get pids for any app with "iTerm" and kill
+ for i in $(pgrep -f "iTerm"); do kill -15 "$i"; done
+ open -a "/Applications/iTerm.app"
+ fi
+fi